Subject: Re: locatedb: No such file
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: Neil Zanella <[email-masked]>, "Dennis W. Bulgrien" <[email-masked]>
Date: Mon, 30 Oct 2000 12:16:08 -0800

The issue may be more extensive than just having periodic updates made to the database.

I am running cygwin 1.1.4 which has locate version 4.1 available.  Usage of locate requires a database of filenames created by updatedb.  This file is a shell script, so I
took a quick look at it.  It wants to use a database file located in the /usr/var directory, by default.  On my system, this directory does not exist.  So the very first
thing would be having to create this (or specify a different location using an environment variable - see man pages for locate and updatedb).

But there are more issues.  The script defines two variables (BINDIR and LIBEXECDIR) using "values" which I believe should have been substituted for during configuration,
but were not:  @bindir@ and @libexecdir@.  Without a location for libexecdir, it cannot find 3 tools it needs:  'frcode', 'bigram' and 'code'.  Of these 3, I can only find
the first two on my system.

I don't have time right now to look at this any further.  If you need this feature now, I'd suggest downloading the source and configuring and building it yourself.

And of course, it may be possible that an fixed version is already available and I just havn't updated recently enough to have it.

As far as periodic invocation goes, it might be possible on NT to use a native periodic execution tool - see 'Control panel->Services->Schedule' and NT help for 'Schedule'
and 'at'.  For systems that are shutdown after use, it may just have to be done from a startup script.

Neil Zanella wrote:
> 
> Unfortunately it appears to me that cygwin does not come with the cron
> deamon which is what usually updates the database overnight. On Red Hat
> systems this is done by executing the script /etc/cron.daily/slocate.cron
> which used to be called /etc/cron.dailt/updatedb.cron on older
> distributions. All the script does is the following:
> 
> #!/bin/sh
> 
> /usr/bin/slocate -u -f "nfs,smbfs,ncpfs,proc,devpts" -e
> "/tmp,/var/tmp,/usr/tmp,/afs,/net"
> 
> So perhaps we don't need cron but running it manually can be time
> consuming.
> 
> Regards,
> 
> Neil
> 
> On Mon, 30 Oct 2000, Dennis W. Bulgrien wrote:
> 
> > Though I left cygwin prompt open all night, locate fails.  Is it supposed to work?
> >
> > $ locate dsp.bat
> > locate: /usr/var/locatedb: No such file or directory
> > --
> > Dennis W. Bulgrien, Engineer            Mailto:[email-masked]
> > VertexRSI, Controls and Structures      http://www.vcsd.com
> > 1915 Harrison Road                      tel: 903 295 1480 x287
> > Longview, TX  75604-5438                fax: 903 295 1479
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]